commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Prashant Bhat <prashant...@gmail.com>
Subject Re: [daemon] jsvc: error while loading shared libraries: libcap.so.1
Date Sat, 06 Nov 2010 17:46:50 GMT
Hi Dean,

Thanks a lot for your help. After installing autoconf, I could build it
successfully. As ./jsvc is working now, I'll try to use it with my
application.

But if I distribute my application with this, will it work in other systems
 as well, i.e  1) in other ubuntu systems without having to build again 2)
in other distros like fedora, etc. I mean, can I use one common script to
run it on any linux based os?

Best Regards,
Prashant

On Sun, Nov 7, 2010 at 12:45 AM, Dean <dean.w.parshall@gmail.com> wrote:

> afaik you'll have to roll it yourself, at least according to Apache's
> site. please try "sudo apt-get install autoconf"
> and if it installs correctly, do "which autoconf" to make sure it is in
> your path, then you should be good. my system installs 2.67 by default
> which should be sufficient to your needs. The site says you need 2.57 or
> better. You can check with "autoconf -V" (-V is unix standard for
> version) Please let me know you got it working or still need
> assistance.
>
> I'm working through some cpp practice exercizes today so i'll be at the
> kby all day :)
>
> ~Dean
> On Sat, 2010-11-06 at 17:50 +0800, Prashant Bhat wrote:
> > Hi,
> >
> > I'd like to make my application run as a service both on windows and
> Ubuntu.
> > So I'm trying to use apache-daemon 1.0.4 linux binary release [1].
> >
> > I'm using Ubuntu-10.04.  When I execute ./jsvc , it stops with an error
> > message like this:
> > './jsvc: error while loading shared libraries: libcap.so.1: cannot open
> > shared object file: No such file or directory'
> >
> > Then I tried to steps to build from source. But that failed as well, for
> the
> > following command.
> > $ sh support/buildconf.sh
> >   support/buildconf.sh: 33: autoconf: not found
> >   support/buildconf.sh: cannot generate configure script
> >
> > Are there any other libraries to include? Any ideas/suggestions to solve
> > this?
> >
> > Thanks,
> > Prashant
> >
> > [1]
> >
> http://www.apache.org/dist/commons/daemon/binaries/1.0.4/linux/commons-daemon-1.0.4-bin-linux-i586.tar.gz
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
> For additional commands, e-mail: user-help@commons.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message